
Foreman - Bug #1771

HTTP_authentication does not work for forms

07/23/2012 05:10 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I use authorize_login_delegation, I'm never redirected to /users/login

but when I try to use auto_complete_search, I get a 401

See in logs :

Started GET "/hosts/auto_complete_search?search=" for 192.168.200.117 at Mon Jul 23 11:08:50 +0200 2012

Processing by HostsController#auto_complete_search as JSON

Parameters: {"search"=>""}

Completed 401 Unauthorized in 2ms

And I have a box in my browser with message :

"A username and password are being requested by http://foreman.example.com. The site says: "Application""

Related issues:

Related to Foreman - Feature #1820: Authenticate API calls via REMOTE_USER too Closed 08/13/2012

History

#1 - 07/23/2012 05:17 AM - Romain Vrignaud

Logs with debug mode :

Started GET "/hosts/auto_complete_search?search=" for 192.168.200.117 at Mon Jul 23 11:16:35 +0200 2012

Processing by HostsController#auto_complete_search as JSON

Parameters: {"search"=>""}

Setting Load (0.5ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'authorize_login_delegation' ORDER BY LOWER LIMIT 1

CACHE (0.0ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'authorize_login_delegation' ORDER BY LOWER LIMIT 1

Completed 401 Unauthorized in 123ms

#2 - 11/15/2012 02:39 AM - Romain Vrignaud

- Assignee deleted (Ohad Levy)

- Target version set to Bug scrub

#3 - 11/15/2012 05:21 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#4 - 11/15/2012 05:38 AM - Joseph Magen

- Status changed from Assigned to Need more information

- Assignee deleted (Joseph Magen)

I could not duplicate

#5 - 11/15/2012 05:41 AM - Ohad Levy
http://foreman.example.com


You need to setup apache with REMOTE_USER header (authentication delegation).

#6 - 11/15/2012 11:30 AM - Romain Vrignaud

To be clear : the websso is working : I'm authenticated with

authorize_login_delegation and Foreman find my user.

However the only thing is when I clear my browser cache,

I get asked just once at the precise instant when I click on

search tab with a HTTP authentication window (not /users/login).

In the log I get a 401 Unauthorized if I don't log myself

#7 - 11/16/2012 04:04 AM - Romain Vrignaud

- Status changed from Need more information to Closed

This has been fixed in develop with the setting : authorize_login_delegation_api
